Contents

FontExpert 2004 Help

Learning FontExpert Views

Managing Fonts

  • Windows Fonts View

  • Files View

  • Worklist View

  • Groups View

  • Character Table View

  • Font Faces View

  • Properties View

  • Text Sample View

  • Searching for fonts: Find Fonts window

  • Installing Fonts

  • Uninstalling Fonts

  • Unloading Fonts

  • Filtering Fonts

  • Copying and Deleting Fonts

  • Printing Fonts

FAQ (Frequently Asked Questions)

How To...

Keyboard Shortcuts

Technical Support

How to buy FontExpert?

How to Find and Solve Problems with Installed Fonts

What is Font Substitution?

How to solve problems with Font Substitutions

How to activate your Registration Key

FontExpert 2004 Home

Copyright © 1999-2004 Proxima Software


How to Buy

FontExpert 2004 Help

How to buy FontExpert?

Contents

You can register the program On-Line with your credit card, by Toll-Free Phone, Fax, or by Mail via RegSoft, RegNow or ShareIt (shareware registration services of Digital River, Inc., USA).

To choose desired registration service and the way of ordering, please visit the page:

http://www.ProximaSoftware.com/order.htm

Tip: This ordering link is also shown in About dialog box (Help/About menu command).

Technical Support

http://www.ProximaSoftware.com/contact.php

The registration fee is 35 USD per each computer that will run the program.

After your order is authorized you will receive e-mail message with your Registration Key.


How to enter your Registration Key

FontExpert 2004 Help

How to activate your Registration Key

Contents

As soon as your order is authorized, you receive e-mail message with your Registration Key. The registration key is sent in the message body and it is also attached to the e-mail message as a text file. Please save this attached key file to your local disk.

1. Save attached key file to your local disk.

or:

1. Copy your Registration Key from message body.

Below is a sample message, actual view will depend on e-mail program you use.

2. Run FontExpert 2004 Registration utility.

Choose Help/Registration... menu command from FontExpert or run this utility from Windows Start menu:

FontExpert 2004 Registration window appears:

3. Press Open Key from File... button and choose the key file you saved to local disk from e-mail attachment.

or:

3. Press Paste button and paste your Registration key copied from e-mail message body.

4. Press OK button.

Please restart FontExpert 2004. Your name will appear in Help/About... dialog.

The registration is complete.

Please contact us if you have any troubles with registration.


Technical Support

Support form on the Proxima Software web site:

www.ProximaSoftware.com/contact.php

E-mail:

support@ProximaSoftware.com


About Views

FontExpert 2004 Help

Learning FontExpert Views

Contents

The main application window has several views (panes).

 |  | Character Table |  |
Workspace Where you select fonts |  |  |  | Font Faces
 | Properties |  | Text Sample |

Workspace

  • Windows Fonts view shows the list of currently installed and loaded Windows fonts. These fonts are currently available for all running applications. To preview the font just select it's font face in the list.
  • Files view shows the list of files in the selected directory. You use this view to explore drives and folders on your computer and browse for font files. To preview the font file just select file name in the list of files.
  • Worklist view allows you to manage lists of fonts stored as XML text files.
  • Groups view allows you to oranize fonts into desired categories.

The views on which selected font is displayed

  • Character Table view shows the font selected in the Files view or the Windows Fonts view. The view displays the table of characters formatted with the selected font. Using formatting toolbar you can choose font size, zoom in, or zoom out. In application Options you can customize the table, specify the number of columns, and other parameters.
  • Font Faces view shows every font drawn with it's typeface.
  • Properties view shows the properties of the currently selected item in the Files view or the Windows Fonts view.
  • Text Sample view shows the sample of text formatted with the font selected in the Files view or the Windows Fonts view. The view has a toolbar with the list of predefined samples.

Tip

You can use the following shortcuts to toggle (show or hide) views:

Alt+0 - toggle Workspace bar
Alt+1 - toggle Properties view
Alt+2 - toggle Font Faces view
Alt+3 - toggle Text Sample view


Windows Fonts view

Column Name | Description
Windows Fonts | The font face name of installed font
Script | The name of the script (character set) shown in selected font
Id | The identifier of the script (0 - Western, 161 - Greek, 204 - Cyrillic, etc.)
Total | Number of scripts in selected font

The Windows Fonts view displays the list of currently installed and loaded Windows fonts. These fonts are available for all running applications.

To open popup menu, click right mouse button on any area of the view.

To preview different scripts supported by selected font, click to the script name in the Script column. The combo box with the list of available scripts will appear. Select the desired script in the appeared list.

You can look at the Character Table view and see how characters with character codes 128-255 are changed when you change currently selected script in a font.

Note: The list of scripts is shown for fonts having two or more scripts.

To uninstall selected font, choose Uninstall... command from popup menu. See Uninstalling Fonts.

To unload selected font, choose Unload... command from popup menu. See Unloading Fonts.

To uninstall one font face of installed font family (such as Normal, Bold, Italic, Bold Italic), select the font in Windows Fonts view. Then open Properties view and expand the Source Files property. Click to the face name you want to uninstall by right mouse button. The popup menu appears. Choose Uninstall... command from popup menu.

To print selected font of fonts, choose File/Print... or File/Print Preview... menu command. To select report type for printing choose File/Report Settings... menu command. (See Printing for more details.)

You can filter files by the script (sometimes referred to as character set). By default all fonts are shown (see selected All * script on the main toolbar). Choose the script from the combo box on the main toolbar. Only font files that have this script will be shown in the list.

Note: The fonts displayed in Windows Fonts view are also known as installed Windows fonts, although one font appearing in this list can be loaded but not installed permanently.

Tip 1

You can toggle (show and hide) the Workspace bar by pressing Alt+0 short cut.

Tip 2

You can scroll scripts in selected font by pressing Alt+Down and Alt+Up short cuts.

See also: Files view, Worklist view, Groups view.


Files view

Column Name | Description
Folder or file | The name of folder or file
Fonts | The name of font face (it is shown for font files only)
Script | The name of the script (character set) shown in the font
Id | The identifier of the script (0 - Western, 161 - Greek, 204 - Cyrillic, etc.)
Total | Number of scripts in the font
Status | The status of the font file: Installed or Uninstalled

The Files view shows the list of files in the selected folder. You use this view to explore drives and folders on your computer and browse for fonts.

To open popup menu, click the right mouse button on any area of the view.

To print selected font of fonts, choose File/Print... or File/Print Preview... menu command. To select report type for printing, choose File/Report Settings... menu command. (See Printing for more details.)

Usually the fonts listed in this view are not installed. These fonts are not available for running applications. (The exception: when you browse standard Windows fonts folder, usually c:\Windows\Fonts, most of the fonts in this folder are both installed and loaded.)

To preview the font file without installing this font just select it in the list of files. The font will be displayed in the Character Table View and in the Text Sample view.

To install selected font, choose Install... command from popup menu. See also Installing Fonts.

The view has the toolbar with the list of drives on your computer. You can select the drive on which you want to explore font files.

The toolbar also has the button that saves current folder in the list of Favorites and the buttons for file operations: Cut, Copy, Paste, Delete (see also Copying and Deleting Fonts).

You can delete files, create, delete and rename folders (use the commands of popup menu). Important note: Be careful when you delete files in standard Fonts folder (usually c:\Windows\Fonts or c:\Winnt\Fonts). Deleting a font file located in this folder permanently deactivates this font. We highly recommend you not to delete font files from this folder, unless you are an experienced user.

To look at the properties of a font file, select it in the list. The properties are shown in the separate Properties view.

By default, files of all types are shown in the list (both fonts and non-fonts). You can choose View/File Filter... menu command and specify the filter, say *.ttf. In this case only TrueType fonts will be shown in the list. You can use * and ? wild card characters to specify the filter.

Also you can filter files by a script (sometimes referred to as character set). By default all fonts are shown (see selected All * script on the main toolbar). Choose a script from the combo box on the main toolbar. Only the font files that include this script will be shown in the list.

Tip

You can toggle (show or hide) the workspace bar by pressing the Alt+0 short cut.

See also: Contents, Windows Fonts view, Worklist view, Groups view


Worklist view

Tip

You can toggle (show or hide) the workspace bar by pressing the short cut: Alt+0.

You can select, copy fonts in this view and then paste copied fonts to any folder of Files view or to any font group of Groups view.

To print selected font of fonts choose File/Print... or File/Print Preview... menu command. To select report type for printing choose File/Report Settings... menu command. (See Printing for more details.)

See also:

Contents, Windows Fonts view, Files view, Groups view, Character Table view, Font Faces view, Properties view, Text Sample view


Font Groups View

FontExpert 2004 Help

Groups view

Contents

Tip

You can toggle (show or hide) the workspace bar by pressing the short cut: Alt+0.

Groups view allows you to organize fonts in desired categories.

The fonts that are currently installed are displayed in bold.

Each group corresponds to one folder on your local disk. To change the parent folder of all group folders choose Tools/Options menu command and browse for any desired folder on you local drive. Save the path to folder in the Folder with font groups: edit box. Usually it is the folder on your disk where you keep subfolders with your font files.

To create new font group choose File/New Folder menu command or press F7 or click by right mouse button on the Groups view and choose New Group context menu command.

You can copy files in Windows Explorer or in the Files view and paste selected files to any group folder in the Groups view.

You can drag files from Windows Explorer and drop them into any selected group folder in the Groups view. Tip: While dragging files hold Ctrl key to copy files from source folder to selected group, hold Alt key to create short cuts to source files (source files will remain in source folder).

Also you can create new group or to add fonts to existing group with the help of Add Fonts Wizard. Choose Group/Add Fonts Wizard... menu command. Welcome dialog appears. On the second step of Add Fonts wizard you can create new group or choose some existing group. On the step 3 of this wizard you can choose font files. On the step 4 you can choose option: how selected fonts should be added to font group. You can copy, move font files or create short cuts (in this case short cuts will refer to font files while font files will remain in their original location). After wizard is complete new group of fonts or new fonts will appear in Font Groups view.

To install a group of fonts select the group folder in the Groups view and choose Install Group... menu command.

To uninstall a group of fonts select the group folder in the Groups view and choose Uninstall Group... menu command.

To print selected font of fonts choose File/Print... or File/Print Preview... menu command. To select report type for printing choose File/Report Settings... menu command. (See Printing for more details.)

See also:

Contents, Windows Fonts view, Files view, Worklist view, Character Table view, Font Faces view, Properties view, Text Sample view


Character Table View

This view shows the font selected in the Files view or in the Windows Fonts view. The view displays the table of characters formatted with currently selected font. Using formatting toolbar you can choose font size, zoom in, or zoom out. In application Options you can customize the table or specify the number of columns and other parameters.

Each font character is shown in it's own cell. The code of the character is shown in the upper left corner of the cell. For example, the code of space character is 32. Click to any symbol and hold left mouse button to enlarge symbol.

All new TrueType fonts, for example Arial, Courier New, and Times New Roman, are in so called Unicode format. The Unicode format maps character codes from 32 to 65536. In theory a font can consist of up to 65 thousands of different characters. The whole range of characters 32-65536 is divided to shorter ranges of character codes. For example, Currency Symbols Unicode range maps the characters with the codes 8352-8399.

Older TrueType fonts (that were used in Windows 3.1) are not in Unicode format. Older fonts consist of characters with the codes 32-255 (this range is also called Windows characters).

By default the Windows characters range (32-255) is shown in the table. For the new TrueType fonts, such as Arial, you can look at any Unicode range of characters of this font.

Select some Unicode TrueType font (e.g. Arial) in Files view or in Windows Fonts view.

Select the name of the Unicode range (e.g. Currency Symbols) in the drop down list on the main tool bar. Then you can see the font characters with the codes: 8352-8399.

See also:

Contents, Windows Fonts view, Files view, Worklist view, Groups view, Font Faces view, Properties view, Text Sample view


Font Faces View

Tip

You can toggle this view (show or hide) by pressing the short cut: Alt+2.

In the Font Faces view every font is drawn with it's typeface. You can preview typefaces of installed fonts listed in Windows Fonts view, typefaces of fonts listed in Worklist view or you can select any folder in the Files view or Groups view and preview all typefaces located in selected folder.

You can select every font face and it's correspondent font will be displayed in the Character Table view and in the Text Sample view.

To print selected font of fonts choose File/Print... or File/Print Preview... menu command. To select report type for printing choose File/Report Settings... menu command. (See Printing for more details.)

See also:

Contents, Windows Fonts view, Files view, Worklist view, Groups view, Character Table view, Properties view, Text Sample view


Properties View

Tip

You can toggle this view (show or hide) by pressing the short cut: Alt+1.

The Properties view shows the list of properties of currently selected font in the Windows Fonts view, Files view, Worklist view and Groups view. The list of properties depends on the type of font selected.

The set of properties also depends on the view where you select the font.

To uninstall one font face of installed font family (such as Normal, Bold, Italic, Bold Italic), select the font in Windows Fonts view. Then open Properties view and expand the Source Files property. Click to the face name you want to uninstall by right mouse button. The popup menu appears. Choose Uninstall Source File... command from popup menu.

Note. In the Files view, Find view and Groups view you can open standard Properties window for every file or folder. Select any file or folder and press Alt+Enter. Properties window appears (it is the same as the window opened from Windows Explorer).

Tip 1

You can examine, if a TrueType font file is in Unicode format.

Select the .TTF file in the Files view and look at it's properties. Find the IsUnicode property. If the value of this property is Yes, then the font is in Unicode format.

Tip 2

You can examine, if the resolution of a raster font is Small or Large.

Select the .FON file in the Files view and look at it's properties. Find the VertRes and HorzRes properties. The property value equal to 96 means that the font is Small.

See also:

Contents, Windows Fonts view, Files view, Worklist view, Groups view, Character Table view, Font Faces view, Text Sample view


Text Sample View

Tip

You can toggle this view (show or hide) by pressing the short cut: Alt+3.

This view shows the sample of the currently selected font in the Files view or in the Windows Fonts view.

To open popup menu click right mouse button on any area of the view.

You can choose the sample text from the drop down list on the toolbar: Alphabet, Text Sample, Symbols or Numbers.

To load text sample from some text file, choose Load Text From File... menu command.

You can choose the foreground and background color for the sample text. Click to desired colors on color ribbons.

To customize the text of the sample, choose Tools/Options... menu command. You can show or hide toolbar and color ribbons.

See also:

Contents, Windows Fonts view, Files view, Worklist view, Groups view, Character Table view, Font Faces view, Properties view


Keyboard Shortcuts

F1 | Help
F5 | Refresh current view
F7 | Create new folder (or new group)
Alt+0 | Toggle Workspace bar
Atl+1 | Toggle Properties view
Alt+2 | Toggle Font Faces view
Alt+3 | Toggle Text Sample view
Alt+F1 | Choose current folder
Alt+Up, Alt+Down | Change current script in selected font
Alt+Enter | Show file or folder properties (works in Files view, Worklist view and Groups view)
Ctrl+F | Open Find Fonts dialog
Ctrl+X | Cut
Ctrl+C | Copy
Ctrl+V | Paste
Ctrl+P | Print selected fonts
Ctrl+Plus (numeric pad) | Zoom In (Character Table view)
Ctrl+Minus (numeric pad) | Zoom Out (Character Table view)

You can customize shortcuts using Tools/Customize... menu command:


Installing Fonts

To install font, select it in the Files view. Click to the font file name by right mouse button. The popup menu appears. Choose Install... command from popup menu. Installing Fonts dialog box appears. Press Install button.

This command activates (installs) a font permanently. The font will be activated every time you start Windows.

To install a group of fonts, select it in the Groups view. Click to the group folder by right mouse button. The popup menu appears. Choose Install Group... command from popup menu.

See also:

Uninstalling Fonts, Unloading Fonts.


Searching for Fonts

FontExpert 2004 Help

Find Fonts window

Contents

In the Find Fonts window you can search for font files on your local or network drives.

Choose Tools/Find Fonts... menu command or press Ctrl+F. Find Fonts window appears. Choose drive or path you want to search for font files and press Start Search button.

When the search is complete, press Replace Worklist button. The fonts that were found will appear in the Worklist view.

See also:

Contents, Windows Fonts view, Files view, Groups view, Character Table view, Font Faces view, Properties view, Text Sample view


Uninstalling Fonts

To uninstall font, select it in the Windows Fonts view. Click to the font face name by right mouse button. The popup menu appears. Choose Uninstall... command from popup menu. Uninstalling Fonts dialog box appears. Press Uninstall button.

This command deactivates (uninstalls) the font permanently. It will not be loaded when you restart Windows. Also this command tries to unload this font from current Windows session, but in some cases it is not possible to unload some fonts. The font will be loaded until the next restart of Windows.

FontExpert makes a backup copy of uninstalled font files that were located in the standard Fonts folder (usually Windows\Fonts). You can specify the backup folder in FontExpert Options.

To uninstall group of fonts, select it in the Groups view. Click to the group folder by right mouse button. The popup menu appears. Choose Uninstall Group... command from popup menu.

To uninstall one font face of installed font family (such as Normal, Bold, Italic, Bold Italic), select the font in Windows Fonts view. Then open Properties view and expand the Source Files property. Click to the face name you want to uninstall by right mouse button. The popup menu appears. Choose Uninstall Source File... command from popup menu.

See also:

Installing Fonts, Unloading Fonts.


Unloading Fonts

To unload font, select it in the Windows Fonts view. Right click on mouse the font face name. The popup menu appears. Choose Unload... command from popup menu. Unloading Fonts dialog box apears. Press Unload button.

This command unloads the font from current Windows session. In this case the font becomes not available for running applications. The font remains installed. When you restart Windows, this font will be loaded again.

Note. There are cases when it is not possible to unload some font (for example, it can be used by other application). To remove this font you can uninstall it. In this case it will be required to restart Windows.

See also:

Installing Fonts, Uninstalling Fonts.


Filtering Fonts

The drop-down list on the main toolbar allows you to filter fonts by a script (by a character set).

Open the filter drop down list (see All * on the main toolbar) and choose any script. Only font files having selected character set will be displayed in the list of fonts.

To cancel filtering, choose All * in the drop down list.

This filter is applied to both Files view and Windows Fonts view.

Tip

Using this filter you can easily find fonts of some type. For example, if you have few hundreds of fonts in some folder and you want to know which fonts are symbolic (have Symbol script), browse this folder in Font Files view and make this folder current, then choose Symbol script filter.


Copying and Deleting Fonts

In Files view, Groups view, Worklist view you can cut, copy, paste and delete files and folders. Use popup menu commands or buttons on the toolbar.

To open popup menu click right mouse button on any area of the view.

Also you can drag and drop files and folders between FontExpert views and Windows Explorer (and other programs working with files).

Important note:

Be careful when you delete files in standard Fonts folder (usually c:\Windows\Fonts or c:\Winnt\Fonts). Deleting font file that is located in this folder permanently deactivates this font. It is recommended not to delete font files from this folder unless you are an experienced user.


Printing Fonts

Select fonts you want to print and choose File/Print... or File/Print Preview... menu command.

To select the type of printed report choose File/Report Settings... menu command.

You can customize page settings such as header, footer and margins.


Problems with Installed Fonts

FontExpert 2004 Help

How to find and solve problems with installed fonts

Contents

FontExpert comes with built-in Dr. Fontson who helps you to detect and solve many problems with your fonts.

Choose Tools/The Advices of Dr. Fontson... menu command. Then press Installed Fonts button.

Dr. Fontson looks at your installed fonts and turns on color lamps near the every font:

Green lamp | No problems
Yellow lamp | Warning
Orange lamp | Serious warning
Red lamp | The problem found

Don't worry about the items that have green lamps.

Select the item that has yellow, orange or red lamp. See that Dr. Fontson comments the problem and makes a recommendation on how to solve it. Usually Dr. Fontson recommends the button that you can press and solve the problem. Sometimes Dr. Fontson gives you two or more possible ways of solving the problem. In this case you have to make a choice.

Note that all changes are not saved until you press the OK button.

You can cancel all changes you made by pressing the Cancel button.

See also:

Installing Fonts, Uninstalling Fonts, Unloading Fonts.


What is Font Substitution

FontExpert 2004 Help

What is Font Substitution?

Contents

Windows supports font face name substitution. Windows manages a list of substitutions, every substitution maps logical font to existing physical font.

For example, the substitution:

Helv=MS Sans Serif

maps Helv font to existing MS Sans Serif font.

The substitutions:

MyFont,0=Arial,0

MyFont,204=Arial,204

map MyFont (Western) to Arial (Western), and MyFont (Cyrillic) to Arial (Cyrillic).

The substitution actually is needed only in the case when substituted font currently is not loaded (is not installed). If the font is currently loaded, then the substitution is not used.

Important Note

It is required to restart Windows to allow new or changed font substitution to take effect.

Example

Your document is formatted with the font MyFont and the language of this text is assigned to English (United States).

You open this document in WinWord.

Before WinWord shows the text it asks Windows for the font that has face name MyFont and the script Western (=0). (English alphabet is covered by Western font script.)

If MyFont font is loaded and it has the script Western, then Windows provides exactly this font and your text is successfully drawn on the screen.

If MyFont does not exist or MyFont font doesnøt have Western script, then Windows looks for the substitution in the list of substitutions. If the substitution for MyFont, 0 exist, then Windows uses this substitution. If substitution for MyFont, 0 not exist, then Windows provides any existing font and the resulting font face may be arbitrary. In this case the drawn text in WinWord may differ from what you expect.

See also:

Contents, How to solve problems with Font Substitutions


Problems with Font Substitutions

FontExpert 2004 Help

How to solve problems with Font Substitutions

Contents

FontExpert comes with built-in Dr. Fontson who helps you to detect and solve many problems with your fonts.

Choose Tools/The Advices of Dr. Fontson... menu command. Then press the Font Substitutions button.

Dr. Fontson examines all registered font substitutions and turns on color lamps near the font substitutions:

Green lamp | No problems
Yellow lamp | Warning
Orange lamp | Serious warning
Red lamp | The problem found

Don't worry about the items that have green lamps.

Select the item that has yellow, orange or red lamp. See that Dr. Fontson comments the problem and makes a recommendation on how to solve it. Usually Dr. Fontson recommends the button that you can press and solves the problem. Sometimes Dr. Fontson gives you two or more possible ways of solving the problem. In this case you have to make a choice.

Any changes are not saved until you press the OK button.

You can cancel all changes you made by pressing the Cancel button.

Important Note

It is required to restart Windows to allow new or changed font substitution to take effect.


FAQ (Frequently Asked Questions)

FontExpert 2004 Help

Frequently Asked Questions

Contents

Question

Answer

Does your program allow you to include fonts within all subfolders for a selected folder?

See the steps how to add fonts within a folder and all subfolders.

I just have purchased and received the CD. I install the the program, however the program states that its "trail basis"?

It is required to activate your registration key.

I just upgraded to the latest build and my registration key is not working. The application tells me I'm running an unregistered version. Is a new registration key required for this latest build?

Usually a new registration key is not required. In the case you have completely uninstalled the program from your computer and then have installed the latest build, it is required to activate your registration key again. According to our company rules, you upgrade always for free to the same major version of the program (e.g. from version 6.0 Release 1 to version 6.0 Release 2 etc.). Usually we issue several releases per year.

I had to redo my computer and now every time I start FontExpert it says it is a evaluation copy. How do I put
my registration key in so that I can use this?

It is required to activate your registration key again on this computer.

What is the difference between Uninstall and Unload commands?

Uninstall command removes a font permanently. This font will not be available for applications after the restart of Windows. Unload command unloads a font, but it remains installed and Windows will load it after the restart.

I see two similar buttons in Dr. Fontson's dialogs: Uninstall and Remove from Registry. What is the difference?

Remove from Registry means: Remove a record about this font from system Registry, but do not touch a font file. Uninstall means: Remove a record about this font from system Registry and make sure the font file is removed from a Windows\Fonts folder. Make a backup copy of the font file if needed.

The default place for Windows fonts is Fonts subfolder of Windows folder.

If you remove a font from registry, but leave it's file in Windows\Fonts folder then Windows can automatically install this font again when you restart Windows.

If some font is physically located in a folder other than Fonts folder, then Uninstall and Remove from Registry operations are equal (because there is no need to touch font file).

When FontExpert uninstalls some font that is located in standard Fonts folder, it removes font file and always makes a backup copy of this font (you can choose a backup folder in Tools\Options... dialog).


How To... - Tips

FontExpert 2004 Help

How To...

Contents

Question

Solution

How can I add fonts to a group within all subfolders for a selected folder?

You can add fonts to Worklist view and then copy or link them to any selected group in the Groups view:

1. Select desired folder in Files view and choose Add to Worklist menu command. All fonts located in selected folder and all subfolders will appear in the Worklist view.

2. Then select fonts in the Worklist view and choose Add to Group... menu command (or drag selected files holding Ctrl or Alt key and drop to any group in the Groups view).

Another way to add fonts to a group within selected folder and it's subfolders:

1. Choose Tools/Find Fonts... menu command (or press Ctl+F). Find Fonts dialog appears.

2. Press Add Folder button and choose desired folder. Make sure Include Subfolders option is checked.

3. Press Start Search button and then Replace Worklist button. All fonts within selected folder and it's subfolders will be listed in the Worklist view.

4. Select all fonts in the Worklist view and choose Add to Group... context menu command to add selected fonts to desired font group.

How to remove bold (italic, bold italic) typeface of installed font and not to remove regular (normal) typeface?

Select the installed font in the Windows Fonts list and look at the Source Files property in the Properties pane. Expand the Source Files property and select to the file name for the typeface you want to remove. Click to the desired typeface name by right mouse button and choose Uninstall Source File... menu command.